<?php

function __RB_F_signup() {
    __RB_redirectToAccount();
    __RB_M_signup();

    echo '<input type="hidden" name="action" value="signup">';
}

function __RB_F_login() {
    __RB_redirectToAccount();
    __RB_M_login();

    echo '<input type="hidden" name="action" value="login">';
}

function __RB_F_contact() {
    __RB_M_contact();

    echo '<input type="hidden" name="action" value="contact">';
}

function __RB_F_unsubscribe() {
    __RB_M_unsubscribe();

    echo '<input type="hidden" name="action" value="unsubscribe">';
}

function __RB_F_newsletter_subscribe() {
    __RB_M_newsletter_subscribe();

    echo '<input type="hidden" name="action" value="newsletter_subscribe">';
}

function __RB_F_newsletter_unsubscribe() {
    __RB_M_newsletter_unsubscribe();

    echo '<input type="hidden" name="action" value="newsletter_unsubscribe">';
}

function __RB_F_forgot_password() {
    __RB_M_forgot_password();

    echo '<input type="hidden" name="action" value="forgot_password">';
}

function __RB_F_new_password() {
    __RB_M_new_password();

    echo '<input type="hidden" name="action" value="new_password">';
}

function __RB_F_user_settings() {
    __RB_M_user_settings();

    echo '<input type="hidden" name="action" value="user_settings">';
}

function __RB_F_request_payout() {
    __RB_M_request_payout();

    echo '<input type="hidden" name="action" value="request_payout">';
}

function __RB_F_shopping_list_edit() {
    __RB_M_shopping_list_edit();

    echo '<input type="hidden" name="action" value="shopping_list_edit">';
}

function __RB_F_shopping_list_add() {
    __RB_M_shopping_list_add();

    echo '<input type="hidden" name="action" value="shopping_list_add">';
}

function __RB_F_shopping_list_update() {
    __RB_M_shopping_list_update();

    echo '<input type="hidden" name="action" value="shopping_list_update">';
}

function __RB_F_shipping_upload() {
    __RB_M_shipping_upload();

    echo '<input type="hidden" name="action" value="shipping_upload">';
}

function __RB_F_shipping_upload_edit() {
    __RB_M_shipping_upload_edit();

    echo '<input type="hidden" name="action" value="shipping_upload_edit">';
}

function __RB_F_meeting_upload() {
    __RB_M_insert_meeting();

    echo '<input type="hidden" name="action" value="insert_meeting">';
}